Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity
Class EntityHanging

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.EntityHanging

Direct Known Subclasses:
  EntityItemFrame, EntityPainting

    public abstract class EntityHanging

extends Entity

Field Summary
`int` | `hangingDirection`
`int` | `xPosition`
`int` | `yPosition`
`int` | `zPosition`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityHanging(World par1World)`
`EntityHanging(World par1World, int par2, int par3, int par4, int par5)`

Method Summary
`void` | `addVelocity(double par1, double par3, double par5)` Adds to the current velocity of the entity.
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
`abstract void` | `dropItemStack()` Drop the item currently on this item frame.
`abstract int` | `func_82329_d()`
`abstract int` | `func_82330_g()`
`boolean` | `func_85031_j(Entity par1Entity)`
`void` | `moveEntity(double par1, double par3, double par5)` Tries to moves the entity by the passed in displacement.
`void` | `onUpdate()` Called to update the entity's position/logic.
`boolean` | `onValidSurface()` checks to make sure painting can be placed there
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setDirection(int par1)`
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### hangingDirection

    public int hangingDirection

### xPosition

    public int xPosition

### yPosition

    public int yPosition

### zPosition

    public int zPosition

Constructor Detail

### EntityHanging

    public EntityHanging(World par1World)

### EntityHanging

    public EntityHanging(World par1World,
                         int par2,
                         int par3,
                         int par4,
                         int par5)

Method Detail

### setDirection

    public void setDirection(int par1)

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `Entity`

### onValidSurface

    public boolean onValidSurface()

  checks to make sure painting can be placed there

### canBeCollidedWith

    public boolean canBeCollidedWith()

  Returns true if other Entities should be prevented from moving through this Entity.

  Overrides:
    `canBeCollidedWith` in class `Entity`

### func_85031_j

    public boolean func_85031_j(Entity par1Entity)

  Overrides:
    `func_85031_j` in class `Entity`

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `Entity`

### moveEntity

    public void moveEntity(double par1,
                           double par3,
                           double par5)

  Tries to moves the entity by the passed in displacement. Args: x, y, z

  Overrides:
    `moveEntity` in class `Entity`

### addVelocity

    public void addVelocity(double par1,
                            double par3,
                            double par5)

  Adds to the current velocity of the entity. Args: x, y, z

  Overrides:
    `addVelocity` in class `Entity`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

### func_82329_d

    public abstract int func_82329_d()

### func_82330_g

    public abstract int func_82330_g()

### dropItemStack

    public abstract void dropItemStack()

  Drop the item currently on this item frame.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD